URPMI.UPDATE(1)

NAME
urpmi.update - Updates package lists for specified media

SYNOPSIS
    urpmi.update [options] [<names>]

DESCRIPTION
urpmi.update scans the specified urpmi media to update their package list. <names> is a list of names you first told to urpmi.addmedia.

OPTIONS

--force-key
    Force update of GPG key.

--ignore, --no-ignore
    Don't update media, but mark them as ignored (that is, disables them). --no-ignore has the reverse behaviour: it marks the media as enabled.

--no-md5sum
    Disable MD5SUM file checking.

--urpmi-root directory
    Use the file system tree rooted for urpmi database and rpm install. Contrary to --root, the urpmi configuration comes from the rooted tree.

--wait-lock
    If the urpmi or rpm db is busy, wait until it is available

--update
    Use only update media.

-a  Select all enabled non-static media to update them.

-f  Force updating synthesis

-ff Really force updating synthesis

--probe-rpms
    Do not use synthesis, use rpm files directly

-q  Quiet mode.

-v  Verbose mode.

  Download Options

--curl
    Use curl for downloading distant files. By default curl is used if available, or wget instead.

--wget
    Use wget for downloading distant files. By default curl is used if available, or wget instead.

--curl-options 'options'
--rsync-options 'options'
--wget-options 'options'
    Specify additional command-line options to be passed to curl, rsync or wget when retrieving files. If several options are to be passed, separate them with spaces and enclose them in quotes.

    Note that the rsync options will also be used for ssh media.

--proxy proxyhost[:port|1080]
    Use specified HTTP proxy.

--proxy-user user:password
    Use specified user and password to use for proxy authentication. Specifying --proxy-user=ask will cause urpmi.update to prompt for a username and a password.

--limit-rate rate
    Try to limit the download speed, rate is given in bytes/sec. This option is not active by default.

SEE ALSO
urpmi(8), urpmi.addmedia(8), urpmi.removemedia(8).

AUTHOR
Pascal Rigaux <pixel@mandriva.com> (original author and current maintainer), François Pons, Rafael Garcia-Suarez